org.apache.tomcat.util.http

## Class Parameters

- java.lang.Object
- - org.apache.tomcat.util.http.Parameters

-     public final class Parameters
      extends Object

  Author:
    Costin Manolache

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Parameters.FailReason`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_ENCODING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parameters()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParameter(String key, String value)`
    `void` | `addParameterValues(String key, String[] newValues)` Deprecated.
    `String` | `getEncoding()`
    `String` | `getParameter(String name)`
    `Enumeration<String>` | `getParameterNames()`
    `String[]` | `getParameterValues(String name)`
    `Parameters.FailReason` | `getParseFailedReason()`
    `void` | `handleQueryParameters()` Process the query string into parameters
    `boolean` | `isParseFailed()`
    `String` | `paramsAsString()` Debug purpose
    `void` | `processParameters(byte[] bytes, int start, int len)`
    `void` | `processParameters(MessageBytes data, String encoding)`
    `void` | `recycle()`
    `void` | `setEncoding(String s)`
    `void` | `setLimit(int limit)`
    `void` | `setParseFailedReason(Parameters.FailReason failReason)`
    `void` | `setQuery(MessageBytes queryMB)`
    `void` | `setQueryStringEncoding(String s)`
    `void` | `setURLDecoder(UDecoder u)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ENCODING

          public static final String DEFAULT_ENCODING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Parameters

          public Parameters()

  - ### Method Detail

    - #### setQuery

          public void setQuery(MessageBytes queryMB)

    - #### setLimit

          public void setLimit(int limit)

    - #### getEncoding

          public String getEncoding()

    - #### setEncoding

          public void setEncoding(String s)

    - #### setQueryStringEncoding

          public void setQueryStringEncoding(String s)

    - #### isParseFailed

          public boolean isParseFailed()

    - #### getParseFailedReason

          public Parameters.FailReason getParseFailedReason()

    - #### setParseFailedReason

          public void setParseFailedReason(Parameters.FailReason failReason)

    - #### recycle

          public void recycle()

    - #### addParameterValues

          @Deprecated
          public void addParameterValues(String key,
                                           String[] newValues)

      Deprecated.

    - #### getParameterValues

          public String[] getParameterValues(String name)

    - #### getParameterNames

          public Enumeration<String> getParameterNames()

    - #### getParameter

          public String getParameter(String name)

    - #### handleQueryParameters

          public void handleQueryParameters()

      Process the query string into parameters

    - #### addParameter

          public void addParameter(String key,
                          String value)
                            throws IllegalStateException

      Throws:
        `IllegalStateException`

    - #### setURLDecoder

          public void setURLDecoder(UDecoder u)

    - #### processParameters

          public void processParameters(byte[] bytes,
                               int start,
                               int len)

    - #### processParameters

          public void processParameters(MessageBytes data,
                               String encoding)

    - #### paramsAsString

          public String paramsAsString()

      Debug purpose

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.